diff --git a/dokan/create.c b/dokan/create.c
index 0e7b77804..002190db0 100644
--- a/dokan/create.c
+++ b/dokan/create.c
@@ -96,7 +96,7 @@ DispatchCreate(
 		    if ((*p == L'\\' || *p == L'/') && p[1])
 			lastP = p;
 		}
-		if (lastP) {
+		if (lastP && lastP != EventContext->Operation.Create.FileName) {
 		    *lastP = 0;
 		    directoryRequested = TRUE;
 		}
